'\"
'\" $Id: tixInputOnly.n,v 1.2 2001/01/22 08:02:45 ioilam Exp $
'\"
'\"
'\" Copyright (c) 1993-1999 Ioi Kim Lam.
'\" Copyright (c) 2000-2001 Tix Project Group.
'\"
'\" See the file "license.terms" for information on usage and redistribution
'\" of this file, and for a DISCLAIMER OF ALL WARRANTIES.
'\" 
'\" The file man.macros and some of the macros used by this file are
'\" copyrighted: (c) 1990 The Regents of the University of California.
'\"              (c) 1994-1995 Sun Microsystems, Inc.
'\" The license terms of the Tcl/Tk distrobution are in the file
'\" license.tcl.
.so man.macros
.TH tixInputOnly n 4.0 Tix "Tix Built-In Commands"
.BS
'\"----------------------------------------------------------------------
.SH NAME
tixInputOnly \- Create and manipulate TIX \fBInputOnly\fR widgets
'\"
'\"
'\"
'\"----------------------------------------------------------------------
.SH SYNOPSIS
\fBtixInputOnly \fIpathName \fR?\fIoptions\fR?
'\"
'\"
'\"----------------------------------------------------------------------
.SO
\-cursor \-width	\-height
.SE
'\"----------------------------------------------------------------------
.SH "WIDGET-SPECIFIC OPTIONS"
'\"
\fBTixInputOnly\fR does not have any widget specific options.
'\"
.BE
'\"----------------------------------------------------------------------
.SH DESCRIPTION
'\"
.PP
'\"
The \fBtixInputOnly\fR command creates a new window (given by the
\fIpathName\fR argument) and makes it into a \fBtixInputOnly\fR
widget.  Additional options, described above, may be specified on the
command line or in the option database to configure aspects of the
\fBtixInputOnly\fR such as its cursor or width.
.PP
\fBTixInputOnly\fR widgets are not visible to the user. The only
purpose of \fBTixInputOnly\fR widgets are to accept inputs from the
user, which can be done with the \fBbind\fR command.
'\"
'\"----------------------------------------------------------------------
.SH "WIDGET COMMAND"
.PP
'\"
The \fBtixInputOnly\fR command creates a new Tcl command whose name is
the same as the path name of the \fBtixInputOnly\fR's window. This
command may be used to invoke various operations on the widget. It
has the following general form:
'\"
.RS
.CS
'\"
\fIpathName option \fR?\fIarg arg ...\fR?

.CE
.RE
'\"
\fIPathName\fR is the name of the command, which is the same as the
InputOnly widget's path name. \fIOption\fR and the \fIarg\fRs determine
the exact behavior of the command.  The following commands are
possible for \fBtixInputOnly\fR widgets:
'\"
.TP
\fIpathName \fBcget\fR \fIoption\fR
'\"
Returns the current value of the configuration option given by
\fIoption\fR. \fIOption\fR may have any of the values accepted by the
\fBtixInputOnly\fR command.
'\"
.TP
\fIpathName \fBconfigure\fR ?\fIoption\fR? \fI?value option value ...\fR?
'\"
Query or modify the configuration options of the widget.  If
no \fIoption\fR is specified, returns a list describing all of the
available options for \fIpathName\fR (see \fBTk_ConfigureInfo\fR for
information on the format of this list).  If \fIoption\fR is specified
with no \fIvalue\fR, then the command returns a list describing the
one named option (this list will be identical to the corresponding
sublist of the value returned if no \fIoption\fR is specified).  If
one or more \fIoption\-value\fR pairs are specified, then the command
modifies the given widget option(s) to have the given value(s); in
this case the command returns an empty string.  \fIOption\fR may have
any of the values accepted by the \fBtixInputOnly\fR command.
'\"
'\"----------------------------------------------------------------------
.SH BINDINGS
.PP
\fBtixInputOnly\fR widgets have no default bindings.
'\"
.SH BUGS
\fBtixInputOnly\fR is currently implemented for the Unix version of Tix only.
'\"----------------------------------------------------------------------
.SH KEYWORDS
Tix(n)


